This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876615 - No disk visible when installing to an image file specified with relative path
No disk visible when installing to an image file specified with relative path
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-11-14 10:26 EST by Jan Stodola
Modified: 2013-12-19 14:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 994488 (view as bug list)
Environment:
Last Closed: 2013-12-19 14:20:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (4.26 KB, text/plain)
2012-11-14 10:26 EST, Jan Stodola
no flags Details
program.log (1.83 KB, text/plain)
2012-11-14 10:26 EST, Jan Stodola
no flags Details
storage.log (49.51 KB, text/plain)
2012-11-14 10:26 EST, Jan Stodola
no flags Details
storage.state (12.00 KB, text/plain)
2012-11-14 10:26 EST, Jan Stodola
no flags Details
anaconda.log, F19-Alpha (5.39 KB, text/plain)
2013-04-22 08:16 EDT, Jan Stodola
no flags Details
storage.log, F19-Alpha (29.26 KB, text/plain)
2013-04-22 08:16 EDT, Jan Stodola
no flags Details
program.log, F19-Alpha (8.28 KB, text/plain)
2013-04-22 08:17 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2012-11-14 10:26:21 EST
Description of problem:
There is no image visible in anaconda UI (tested both text and GUI) when one tries to install to an image file using --image option.

Version-Release number of selected component (if applicable):
anaconda-18.29-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. install latest Fedora 18
2. yum install anaconda
3. dd if=/dev/zero of=disk.img bs=1M count=10000
4. anaconda -G --image=disk.img
5. go to Installation destination
  
Actual results:
no disk available

Expected results:
file image is available for installation
Comment 1 Jan Stodola 2012-11-14 10:26:46 EST
Created attachment 644956 [details]
anaconda.log
Comment 2 Jan Stodola 2012-11-14 10:26:49 EST
Created attachment 644957 [details]
program.log
Comment 3 Jan Stodola 2012-11-14 10:26:52 EST
Created attachment 644958 [details]
storage.log
Comment 4 Jan Stodola 2012-11-14 10:26:55 EST
Created attachment 644959 [details]
storage.state
Comment 5 Jan Stodola 2013-04-22 08:14:58 EDT
Also reproduced with F19-Alpha (anaconda-19.20-1). 

Executed with following options:
# anaconda --graphical --image=file.img

from storage.log:
...
07:32:35,833 INFO blivet: setting up disk image file 'file.img' as 'file'
07:32:35,833 ERR blivet: failed to set up disk image: FileDevice requires an absolute path
...

With absolute path, anaconda shows the image file. Changing summary of the bug.
Comment 6 Jan Stodola 2013-04-22 08:16:03 EDT
Created attachment 738484 [details]
anaconda.log, F19-Alpha
Comment 7 Jan Stodola 2013-04-22 08:16:36 EDT
Created attachment 738485 [details]
storage.log, F19-Alpha
Comment 8 Jan Stodola 2013-04-22 08:17:48 EDT
Created attachment 738486 [details]
program.log, F19-Alpha
Comment 9 Brian Lane 2013-12-19 14:20:26 EST
The path must be absolute.

Note You need to log in before you can comment on or make changes to this bug.